#!/usr/bin/env sh

##----------------------------------------------------------------------------##
## Public API Implementation                                                  ##
##----------------------------------------------------------------------------##
##------------------------------------------------------------------------------
_pw_impl_get_user_home()
{
    local TARGET_USER="$1";
    REAL_USER_HOME=$(getent passwd "$TARGET_USER" | cut -d: -f6);
    echo "$REAL_USER_HOME";
}

##------------------------------------------------------------------------------
_pw_impl_os_get_simple_name()
{
    echo "$(PW_OS_GNU_LINUX)";
}

###-----------------------------------------------------------------------------
_pw_imp_get_file_mode()
{
    stat -c "%a" "$1";
}

###-----------------------------------------------------------------------------
_pw_imp_get_file_owner()
{
    stat -c "%U" "$1";
}

###-----------------------------------------------------------------------------
_pw_imp_get_file_group()
{
    stat -c "%G" "$1";
}